<template>
  <!-- Main container -->
  <div class="xl:w-1/4 lg:w-1/3 md:w-2/5 sm:w-1/2 w-full mx-auto py-16 px-4">

    <!-- Title -->
    <h1 class="text-center mb-10">{{ $t('user.signIn') | capitalize }}</h1>

    <!-- Need auth message -->
    <t-alert v-if="showNeedAuthMessage" class="mb-8" show>
      <p class="text-warning">{{ $t('global.pageRequiresAuth') | capitalize }}</p>
    </t-alert>

    <!-- Form container -->
    <div>
      <!-- Login form -->
      <LoginForm class="mb-4"/>
    </div>

  </div>
</template>

<script>
// Components
import LoginForm from './LoginForm'
/**
 * Login component
 */
export default {
  name: 'Login',
  components: {
    LoginForm
  },
  computed: {
    showNeedAuthMessage: function () {
      // If the query param 'redirect' is set, user comes from location that needs auth
      return Boolean(this.$route.query.redirect)
    }
  }
}
</script>
